package lab14_strategy.ex1;

public abstract class Character {
    private WeaponBehavior weapon;

    public Character(WeaponBehavior weapon) {
        this.weapon = weapon;
    }

    public void setWeapon(WeaponBehavior weapon) {
        this.weapon = weapon;
    }

    public abstract String getName();

    public void fight() {
        System.out.println(getName() + " " + weapon.useWeapon());
    }
}
