package lab14_strategy.ex2;

import lab14_strategy.ex2.algorithms.BubbleSort;
import lab14_strategy.ex2.algorithms.InsertionSort;
import lab14_strategy.ex2.algorithms.SelectionSort;

public class StrategySortLauncher {
    public static void main(String[] args) {
        StrategySortLauncher launcher = new StrategySortLauncher();
        launcher.test();
    }

    public void test() {
        int[] tab1 = { 99, 11, 2, 33, 12, 1, 0, 99, 34, 35 };
        int[] tab2 = { 99, 11, 2, 33, 12, 1, 0, 99, 34, 35 };
        int[] tab3 = { 99, 11, 2, 33, 12, 1, 0, 99, 34, 35 };

        Sorter sorter = new Sorter();

        System.out.println("test bubble sort");
        sorter.setAlgorithm(new BubbleSort());
        sorter.sort(tab1);
        sorter.showVectorData(tab1);

        System.out.println("test insert sort");
        sorter.setAlgorithm(new InsertionSort());
        sorter.sort(tab2);
        sorter.showVectorData(tab2);

        System.out.println("test selection sort");
        sorter.setAlgorithm(new SelectionSort());
        sorter.sort(tab3);
        sorter.showVectorData(tab3);
    }
}
